%define upstream_name    Calendar-Simple
%define upstream_version v2.1.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl extension to create simple calendars
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/Calendar-Simple
Source0:    https://cpan.metacpan.org/authors/id/D/DA/DAVECROSS/%{upstream_name}-%{upstream_version}.tar.gz

# Required by the tests

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::Local)
BuildArch:  noarch

%description
Perl extension to create simple calendars.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod -x lib/*/Simple.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%files
%doc META.json META.yml MYMETA.yml README
%{_bindir}/pcal
%{perl_vendorlib}/Calendar
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.1.0-2.mga10
+ Revision: 2222561
- Mageia 10 Mass Rebuild

* Thu May 09 2024 tv <tv> 2.1.0-1.mga10
+ Revision: 2062980
- update to v2.1.0

* Wed Aug 30 2023 tv <tv> 2.0.3-1.mga10
+ Revision: 1981061
- update to v2.0.3

* Mon Mar 21 2022 umeabot <umeabot> 2.0.1-2.mga9
+ Revision: 1814028
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 tv <tv> 2.0.1-1.mga9
+ Revision: 1691080
- update to v2.0.1

* Tue Jun 23 2020 tv <tv> 2.0.0-1.mga8
+ Revision: 1598550
- update to v2.0.0

* Wed Feb 12 2020 umeabot <umeabot> 1.230.0-3.mga8
+ Revision: 1503503
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.230.0-2.mga7
+ Revision: 1281896
- Mageia 7 Mass Rebuild

* Wed Mar 07 2018 shlomif <shlomif> 1.230.0-1.mga7
+ Revision: 1207178
- update to 1.23

* Sat Jun 18 2016 pterjan <pterjan> 1.210.0-8.mga6
+ Revision: 1022828
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.210.0-7.mga6
+ Revision: 948918
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.210.0-6.mga5
+ Revision: 788682
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.210.0-5.mga5
+ Revision: 748925
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.210.0-3.mga4
+ Revision: 509624
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.210.0-2.mga3
+ Revision: 363763
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 1.210.0-1.mga1
+ Revision: 36158
- mageia rebuild
- imported package perl-Calendar-Simple


* Thu Jul 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.210.0-1mdv2011.0
+ Revision: 563186
- update to new version 1.21

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.200.0-1mdv2011.0
+ Revision: 402987
- rebuild using %%perl_convert_version

* Thu Dec 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.20-1mdv2009.1
+ Revision: 309992
- import perl-Calendar-Simple


* Thu Dec 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.20-1mdv2009.0
- initial Mandriva package (fedora import)

* Tue Jul 08 2008 Ralf Corsépius <rc040203@freenet.de> - 1.20-1
- Upstream update.

* Tue Mar 11 2008 Ralf Corsépius <rc040203@freenet.de> - 1.19-1
- Upstream update.
- Reflect upstream having dropped "COPYING".

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.17-3
Rebuild for new perl

* Fri Aug 17 2007 Ralf Corsépius <rc040203@freenet.de> - 1.17-2
- Update license tag.
- Reflect perl package split.

* Thu Oct 19 2006 Ralf Corsépius <rc040203@freenet.de> - 1.17-1
- Upstream update.

* Sat Oct 07 2006 Ralf Corsépius <rc040203@freenet.de> - 1.14-2
- chmod -x files with broken permissions.

* Mon Sep 18 2006 Ralf Corsépius <rc040203@freenet.de> - 1.14-1
- Upstream update.

* Tue Sep 05 2006 Ralf Corsépius <rc040203@freenet.de> - 1.13-4
- Mass rebuild.

* Fri Jun 23 2006 Ralf Corsépius <rc040203@freenet.de> - 1.13-3
- Fix indentation.

* Fri Jun 23 2006 Ralf Corsépius <rc040203@freenet.de> - 1.13-2
- Fix Source0.

* Thu Jun 22 2006 Ralf Corsépius <rc040203@freenet.de> - 1.13-1
- FE submission.
